summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--multimedia/GoogleEarth/GoogleEarth.SlackBuild65
-rw-r--r--multimedia/GoogleEarth/GoogleEarth.info6
-rw-r--r--multimedia/GoogleEarth/README18
-rw-r--r--multimedia/GoogleEarth/doinst.sh6
4 files changed, 54 insertions, 41 deletions
diff --git a/multimedia/GoogleEarth/GoogleEarth.SlackBuild b/multimedia/GoogleEarth/GoogleEarth.SlackBuild
index 191ea8fe4c..51a10c9c86 100644
--- a/multimedia/GoogleEarth/GoogleEarth.SlackBuild
+++ b/multimedia/GoogleEarth/GoogleEarth.SlackBuild
@@ -25,11 +25,8 @@
# Thanks to rworkman for the additional code and script cleanups
# and to Daniel de Kok and Alan_Hicks for their comments.
-set -e
-
-PRGNAM=googleearth
-PKGNAME=GoogleEarth
-VERSION=4.2.205.5730
+PRGNAM=GoogleEarth
+VERSION=4.3.7284.3916
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -41,24 +38,33 @@ OUTPUT=${OUTPUT:-/tmp}
# No flags/configure needed as it is just a binary repackaging.
+set -e
+
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
-sh $CWD/${PKGNAME}Linux.bin --noexec --target $PKG/opt/$PKGNAME
-
-cd $PKG/opt/$PKGNAME
- tar -xvf $PRGNAM-data.tar
- tar -xvf $PRGNAM-linux-x86.tar
- rm $PRGNAM-data.tar $PRGNAM-linux-x86.tar
+sh $CWD/${PRGNAM}Linux.bin --noexec --target $PKG/opt/$PRGNAM ; sync
+cd $PKG/opt/$PRGNAM
+ tar xf googleearth-data.tar
+ tar xf googleearth-linux-x86.tar
+ rm googleearth-data.tar googleearth-linux-x86.tar
cd -
-# Set the ownership and permissions right after all parts are extracted.
+# Set the ownership and permissions correctly
cd $PKG
chown -R root:root .
-chmod -R u+w,go+r-w,a-s .
-
-mv $PKG/opt/$PKGNAME/bin/$PRGNAM $PKG/opt/$PKGNAME/$PRGNAM
-rmdir $PKG/opt/$PKGNAME/bin
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+# Sadly, Google has some rather inconsisten permissions for normal files. This
+# should deal with them rather nicely.
+find . \( -name "*.png" -o -name "*.kml" -o -name "*.xml" \) \
+ -exec chmod 0644 {} \;
+
+mv $PKG/opt/$PRGNAM/bin/googleearth $PKG/opt/$PRGNAM
+rmdir $PKG/opt/$PRGNAM/bin
( cd $PKG
find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
@@ -73,7 +79,6 @@ mkdir -p $PKG/usr/share/{applications,mime,pixmaps} $PKG/usr/bin
cat > $DESKTOPFILE << EOF
[Desktop Entry]
-Encoding=UTF-8
Name=Google Earth
GenericName=3D planet viewer
Comment=Explore, search and discover the planet
@@ -82,8 +87,8 @@ Terminal=false
MultipleArgs=false
Type=Application
Icon=/usr/share/pixmaps/googleearth-icon.png
-Categories=Application;Network
-MimeType=application/vnd.google-earth.kml+xml;application/vnd.google-earth.kmz;application/earthviewer;application/keyhole
+Categories=Network;
+MimeType=application/vnd.google-earth.kml+xml;application/vnd.google-earth.kmz;application/earthviewer;application/keyhole;
EOF
cat > $MIMEFILE << EOF
@@ -111,25 +116,25 @@ cat > $MIMEFILE << EOF
EOF
# Let's take care of documentation
-mkdir -p $PKG/usr/doc/$PKGNAME-$VERSION
-mv $PKG/opt/$PKGNAME/README.linux $PKG/usr/doc/$PKGNAME-$VERSION
-cat $CWD/$PKGNAME.SlackBuild > $PKG/usr/doc/$PKGNAME-$VERSION/$PKGNAME.SlackBuild
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+mv $PKG/opt/$PRGNAM/{README.linux,gpl.txt} $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
# Make some needed symlinks in the package
-( cd $PKG/usr/share/pixmaps
- ln -s /opt/$PKGNAME/$PRGNAM-icon.png .
- ln -s /opt/$PKGNAME/$PRGNAM.xpm .
+cd $PKG/usr/share/pixmaps
+ ln -s /opt/$PRGNAM/googleearth-icon.png .
+ ln -s /opt/$PRGNAM/googleearth.xpm .
cd $PKG/usr/bin
- ln -s /opt/$PKGNAME/$PRGNAM .
-)
+ ln -s /opt/$PRGNAM/googleearth .
+cd -
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cat $CWD/doinst.sh > $PKG/install/doinst.sh
# Clean up files that we no longer need.
-rm $PKG/opt/$PKGNAME/{preuninstall,setup,postinstall}.sh
-rm -rf $PKG/opt/$PKGNAME/setup.data
+rm $PKG/opt/$PRGNAM/{preuninstall,setup,postinstall}.sh
+rm -rf $PKG/opt/$PRGNAM/setup.data
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PKGNAME-$VERSION-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/multimedia/GoogleEarth/GoogleEarth.info b/multimedia/GoogleEarth/GoogleEarth.info
index e6a10d773b..6e2657de46 100644
--- a/multimedia/GoogleEarth/GoogleEarth.info
+++ b/multimedia/GoogleEarth/GoogleEarth.info
@@ -1,8 +1,8 @@
PRGNAM="GoogleEarth"
-VERSION="4.2.205.5730"
+VERSION="4.3.7284.3916"
HOMEPAGE="http://earth.google.com"
DOWNLOAD="http://dl.google.com/earth/client/current/GoogleEarthLinux.bin"
-MD5SUM="789f438a999dfb157dc89eaa90388ac4"
+MD5SUM="8e9eb1acc7ee4c80542756386de1bf78"
MAINTAINER="Michiel van Wessem"
EMAIL="michiel@slackbuilds.org"
-APPROVED="rworkman"
+APPROVED="David Somero" \ No newline at end of file
diff --git a/multimedia/GoogleEarth/README b/multimedia/GoogleEarth/README
index 29af83db54..15f7d329de 100644
--- a/multimedia/GoogleEarth/README
+++ b/multimedia/GoogleEarth/README
@@ -13,12 +13,20 @@ The degree of resolution available is based somewhat on the points
of interest, but most land (except for some islands) is covered in at
least 15 meters of resolution.
-Note that Google updates the GoogleEarth executable without changing
-the download link location. Therefore, this script is subject to
-failing at any time due to the fact that you might get a newer version
-of GoogleEarth than what the script is designed to use.
-
When running GoogleEarth for the first time, you will see an error
message stating that it is unable to find the Bitstream Vera fonts.
This should be safe to ignore - it will use other fonts (and the
DejaVu fonts included with Slackware are based on the Bitstream fonts).
+
+NOTES:
+1) Google updates the GoogleEarth executable without changing
+ the download link location and they don't use version numbering in
+ the filename (the version is more an internal numbering).
+
+ Therefore, this script is subject to failing (and a different MD5SUM)
+ at any time due to the fact that you might get a newer version
+ of GoogleEarth than what the script is designed to use.
+
+2) GoogleEarth requires you you have OpenGL drives installed on your system
+ (and Xorg configured to use them). Not doing so, will cause X to crash.
+
diff --git a/multimedia/GoogleEarth/doinst.sh b/multimedia/GoogleEarth/doinst.sh
index 79484f3422..22652f9023 100644
--- a/multimedia/GoogleEarth/doinst.sh
+++ b/multimedia/GoogleEarth/doinst.sh
@@ -1,8 +1,8 @@
-if [ -x usr/bin/update-desktop-database ]; then
- usr/bin/update-desktop-database -q usr/share/applications
+if [ -x /usr/bin/update-desktop-database ]; then
+ ./usr/bin/update-desktop-database -q usr/share/applications
fi
if [ -x /usr/bin/update-mime-database ]; then
- usr/bin/update-mime-database usr/share/mime > /dev/null 2>&1
+ ./usr/bin/update-mime-database usr/share/mime > /dev/null 2>&1
fi